﻿using SunBigUInteger.SunBigUInt;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SunBigUInteger.SunBigUIntTests
{
    interface ITestHandler<TClass> where TClass : SunBigUIntAbstract<TClass>
    {
        void TestGroupStart(string name);
        void TestGroupEnd();
        void TestStepSuccess();
        void TestStepFail(System.Numerics.BigInteger expectedInt, SunBigUInt.SunBigUInt10 actualInt);
        void TestStepFail(System.Numerics.BigInteger expectedInt, SunBigUInt.SunBigUInt256 actualInt);

        void TestStepFail<T>(System.Numerics.BigInteger expectedInt, T actualInt);
        void TestStepFail(string message);
    }

    interface ITestHandler
    {
        void TestGroupStart(string name);
        void TestGroupEnd();
        void TestStepSuccess();
        void TestStepFail(System.Numerics.BigInteger expectedInt, SunBigUInt.SunBigUInt10 actualInt);
        void TestStepFail(System.Numerics.BigInteger expectedInt, SunBigUInt.SunBigUInt256 actualInt);

        void TestStepFail(string message);
    }
}
